program project1;

{$mode objfpc}{$H+}

{ Raspberry Pi Application                                                     }
{  Add your program code below, add additional units to the "uses" section if  }
{  required and create new units by selecting File, New Unit from the menu.    }
{                                                                              }
{  To compile your program select Run, Compile (or Run, Build) from the menu.  }

uses
  RaspberryPi,
  GlobalConfig,
  GlobalConst,
  GlobalTypes,
  Platform,
  Threads,
  SysUtils,
  Classes,
  Ultibo,
  Console,
  RGPIO,
  DS1307;


var
  Handle1:TWindowHandle;
  String_Day : String;




begin


  SDA_Set;
  SCL_Set;

  GPIO_OUT_Init(GPIO2);
  GPIO_OUT_Init(GPIO3);

  SDA_Set;
  SCL_Set;


  {Let's create a console window again but this time on the left side of the screen}
  Handle1:=ConsoleWindowCreate(ConsoleDeviceGetDefault,CONSOLE_POSITION_FULL,True);

  {To prove that worked let's output some text on the console window}
  ConsoleWindowWriteLn(Handle1,'Example I2C');
  ConsoleWindowWriteLn(Handle1,' ');


  MillisecondDelay(3000);


  DS1307_Data_Array[0]:=$10;  // Seconds
  DS1307_Data_Array[1]:=$28;  // Minutes
  DS1307_Data_Array[2]:=$14;  // Hours
  DS1307_Data_Array[3]:=$07;  // Day
  DS1307_Data_Array[4]:=$22;  // Date
  DS1307_Data_Array[5]:=$05;  // Month
  DS1307_Data_Array[6]:=$16;  // Year

  ds1307_Data_Write_Array;



  while true do begin

    ds1307_Data_Read_Array;

    ConsoleWindowWriteLnEx(Handle1,'Time= '+
                           IntToHex(DS1307_Data_Array[2],2)+':'+
                           IntToHex(DS1307_Data_Array[1],2)+':'+
                           IntToHex(DS1307_Data_Array[0],2)
                           ,128,2,COLOR_BLACK,COLOR_WHITE);

    ConsoleWindowWriteLnEx(Handle1,'Date= '+
                           IntToHex(DS1307_Data_Array[4],2)+'.'+
                           IntToHex(DS1307_Data_Array[5],2)+'.'+
                           IntToHex(DS1307_Data_Array[6],2)
                           ,128,3,COLOR_BLUE,COLOR_WHITE);


    case DS1307_Data_Array[3] of
      1 : String_Day:='monday';
      2 : String_Day:='tuesday';
      3 : String_Day:='wednesday';
      4 : String_Day:='thursday';
      5 : String_Day:='friday';
      6 : String_Day:='saturday';
      7 : String_Day:='sunday';
    else
      String_Day:='wrong day';
    end;

    ConsoleWindowWriteLnEx(Handle1,'Day=  '+String_Day
                           ,128,4,COLOR_GRAY,COLOR_WHITE);

    MillisecondDelay(100);


  end;




end.



